Summary:	Collect system informations for the hardware4linux.info site
Name:		hwreport
Version:	0.9.4
Release:	%mkrel 1
Source0:	http://hardware4linux.info/res/%{name}-%{version}.tar.bz2
License:	GPL
Group:		System/Kernel and hardware
Url:		http://hardware4linux.info/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	dmidecode

%description
Collect system informations for the hardware4linux.info site.

%prep
%setup -q

%build
gcc %{optflags} -o scan-printers scan-printers.c

%install
rm -rf %{buildroot}
install -m755 scan-printers -D %{buildroot}%{_bindir}/scan-printers
install -m755 hwreport -D %{buildroot}%{_sbindir}/hwreport
#install -m755 osinfo -D %{buildroot}%{_bindir}/osinfo

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/scan-printers
%{_sbindir}/hwreport
#%{_bindir}/osinfo


%changelog
* Mon Aug 27 2007 Funda Wang <fundawang@mandriva.org> 0.9.4-1mdv2008.0
+ Revision: 71839
- New version 0.9.4

* Fri Aug 10 2007 Funda Wang <fundawang@mandriva.org> 0.9.3-1mdv2008.0
+ Revision: 61426
- New version 0.9.3

* Mon Jul 23 2007 Funda Wang <fundawang@mandriva.org> 0.9.2-1mdv2008.0
+ Revision: 54524
- New version

* Fri Jul 20 2007 Funda Wang <fundawang@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 53844
- New version

* Mon Jul 02 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8-1mdv2008.0
+ Revision: 47097
- Import hwreport

